View Issue Details

IDProjectCategoryView StatusLast Update
0002266unrealircdpublic2005-01-18 12:06
ReportertabrisnetAssigned Tocodemastr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target VersionFixed in Version3.2.3 
Summary0002266: set::htm::incoming-rate screwed up
DescriptionThis is conjecture based on observation, not reading the code.
The parser for htm::incoming-rate seems to assume that the parameter is supposed to be in kilobytes. so then multiplies by 1000. unfortunately the value itself is used in kilobytes, not bytes

Thus if I set, in the configuration files, incoming-rate 10 (or 10k) it gets converted to 10,000KB! Obviously not what i want. Yes, i tried both 10, and 10k. Setting the value to anything less than 10 just complains that the value needs to be at least 10k.
TagsNo tags attached.
3rd party modules

Activities

codemastr

2005-01-17 16:09

reporter   ~0008840

Ok, well I'm a bit confused by your comments. If you type in "10" you should receive an error (that is interpreted as 10 bytes, which is too low). Rather, you want 10k. You are correct, this number is stored in bytes when the system expects it in kb (so I must divide by 1024). That is a bug. However, you're saying you experience this problem when typing in "10" which can't be. Or am I misunderstanding you?

tabrisnet

2005-01-17 16:47

reporter   ~0008842

10k.
i also have tried 10240b
which still gets interpreted as 10240kb/s
and this is not using /raw htm to 10
but setting it in the set {} block
then if you check /stats S or /raw htm
you'll see 10240KB

but you are right, set::htm::incoming-rate 10;
does get an error on rehash.
I'm sorry about the error in my description.

codemastr

2005-01-18 12:06

reporter   ~0008858

Fixed in .228

Issue History

Date Modified Username Field Change
2005-01-07 10:33 tabrisnet New Issue
2005-01-07 12:31 syzop Status new => acknowledged
2005-01-17 16:09 codemastr Note Added: 0008840
2005-01-17 16:47 tabrisnet Note Added: 0008842
2005-01-18 12:06 codemastr Status acknowledged => resolved
2005-01-18 12:06 codemastr Fixed in Version => 3.2.3
2005-01-18 12:06 codemastr Resolution open => fixed
2005-01-18 12:06 codemastr Assigned To => codemastr
2005-01-18 12:06 codemastr Note Added: 0008858